<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { computed } from 'vue';
//import Tooltip from '@/components/general/Tooltip.vue';

const props = defineProps({
    isFavorite: {
        type: Boolean,
        default: false
    },
    size: {
        type: String,
        default: "w-full h-5"
    }
});

const emits = defineEmits<{
    (e: 'click'): void
}>();

const handleFavorite = (() => {
    emits('click');
})

const tooltipText = computed(() => {
    return props.isFavorite ? 'dashboardPage.favorites.delete.label' : 'dashboardPage.favorites.add.label';
})

</script>
<template>
    <Tooltip :tooltip="$t(tooltipText)">
        <div class="relative text-center cursor-pointer" :class="size" @click="handleFavorite">
            <div class="relative text-[20px] leading-[20px] w-full h-full flex justify-center items-center">
                <i class="ri-star-line ri-1x z-[22] text-gray-500 absolute left-1/2 -translate-x-1/2"></i>
                <i class="ri-star-fill ri-1x z-[21] text-yellow-400 absolute left-1/2 -translate-x-1/2"
                    v-if="isFavorite"></i>
            </div>
        </div>
    </Tooltip>
</template>
<style>
.text-shadow {
    text-shadow: -1px 0 #000, 0 1px #000, 1px 0 #000, 0 -1px #000;
}
</style>